Bug 480218 - Properties field shows Filesystem type: ext3 while it should show Filesystem type: ext4
Properties field shows Filesystem type: ext3 while it should show Filesystem ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 13:35 EST by Jóhann B. Guðmundsson
Modified: 2015-03-03 17:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:06:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2009-01-15 13:35:15 EST
Description of problem:

Summary says it all

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Create a ext4 partition 
2. Go to "Computer" right click partition select properties 
3. Right click and select properties if device is shown on desktop
  
Actual results:

Filesystem type: ext3

Expected results:

Filesystem type: ext4

Additional info:

Preparation to identify/support "butter fs" should be needed very soon
( If experimental usage of the file system makes it into F11 )..
Comment 1 Matthias Clasen 2009-02-13 02:03:37 EST
There is no way to discriminate ext2/ext3/ext4 based on the magic number in the superblock, since they all use the same magic.
Comment 2 Eric Sandeen 2009-02-13 10:46:15 EST
Matthias, this is true, but you can do more than just look at the magic.

Using libblkid, for example, does more detailed checks and will get it right.

The "file" utility is also able to get it right by similar means (checking superblock flags).

(note to the submitter, for btrfs, checking magic will probably suffice).

-Eric
Comment 3 Matthias Clasen 2009-02-13 11:17:06 EST
sure, thats possible. 
Just saying the code currently in gio has a simple map from superblock magic to filesystem type.
Comment 4 Matthias Clasen 2009-02-13 11:30:03 EST
Filed upstream http://bugzilla.gnome.org/show_bug.cgi?id=571647
Comment 5 Alexander Larsson 2009-04-16 12:58:29 EDT
I believe this is fixed now. (we show ext3/ext)
Comment 6 Bug Zapper 2009-06-09 06:44:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 08:44:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:06:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.